libxfce4ui-devel-4.14.1-alt1.x86_64.rpm


Advertisement

Description

libxfce4ui-devel - Development files for libxfce4ui (GTK+2)

Property Value
Distribution ALT Linux Sisyphus
Repository Classic x86_64
Package filename libxfce4ui-devel-4.14.1-alt1.x86_64.rpm
Package name libxfce4ui-devel
Package version 4.14.1
Package release alt1
Package architecture x86_64
Package type rpm
Category Development/C
Homepage -
License -
Maintainer -
Download size 53.73 KB
Installed size 53.73 KB
Development files for the libxfce4ui library (GTK+2 variant).

Alternatives

Package Version Architecture Repository
libxfce4ui-devel-4.14.1-alt1.i586.rpm 4.14.1 i586 Classic
libxfce4ui-devel - - -

Requires

Name Value
/usr/lib64/pkgconfig -
glib2-devel -
libX11-devel -
libgdk-pixbuf-devel -
libgladeui-1.so.11()(64bit) -
libgtk+2-devel -
libgtk-x11-2.0.so.0()(64bit) -
libxfce4ui = 4.14.1-alt1:sisyphus+235934.300.2.1
libxfce4util-devel -
libxfconf-devel -
pkgconfig(gdk-2.0) -
pkgconfig(gtk+-2.0) -
pkgconfig(libxfce4util-1.0) -
pkgconfig(libxfconf-0) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
libxfce4ui-devel = 4.14.1-alt1:sisyphus+235934.300.2.1
pkgconfig(libxfce4kbd-private-2) = 4.14.1
pkgconfig(libxfce4ui-1) = 4.14.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libxfce4ui-devel-4.14.1-alt1.x86_64.rpm
Source Package libxfce4ui-4.14.1-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libxfce4ui-devel rpm package:
    # sudo apt-get install libxfce4ui-devel

Files

Path
/usr/include/xfce4/libxfce4kbd-private-2/
/usr/include/xfce4/libxfce4kbd-private-2/libxfce4kbd-private/xfce-shortcut-dialog.h
/usr/include/xfce4/libxfce4kbd-private-2/libxfce4kbd-private/xfce-shortcuts-grabber.h
/usr/include/xfce4/libxfce4kbd-private-2/libxfce4kbd-private/xfce-shortcuts-provider.h
/usr/include/xfce4/libxfce4kbd-private-2/libxfce4kbd-private/xfce-shortcuts-xfwm4.h
/usr/include/xfce4/libxfce4kbd-private-2/libxfce4kbd-private/xfce-shortcuts.h
/usr/include/xfce4/libxfce4ui-1/
/usr/include/xfce4/libxfce4ui-1/libxfce4ui/libxfce4ui-config.h
/usr/include/xfce4/libxfce4ui-1/libxfce4ui/libxfce4ui-enum-types.h
/usr/include/xfce4/libxfce4ui-1/libxfce4ui/libxfce4ui.h
/usr/include/xfce4/libxfce4ui-1/libxfce4ui/xfce-dialogs.h
/usr/include/xfce4/libxfce4ui-1/libxfce4ui/xfce-gdk-extensions.h
/usr/include/xfce4/libxfce4ui-1/libxfce4ui/xfce-gtk-extensions.h
/usr/include/xfce4/libxfce4ui-1/libxfce4ui/xfce-sm-client.h
/usr/include/xfce4/libxfce4ui-1/libxfce4ui/xfce-spawn.h
/usr/include/xfce4/libxfce4ui-1/libxfce4ui/xfce-titled-dialog.h
/usr/lib64/libxfce4kbd-private-2.so
/usr/lib64/libxfce4ui-1.so
/usr/lib64/glade3/modules/libxfce4uiglade.so
/usr/lib64/pkgconfig/libxfce4kbd-private-2.pc
/usr/lib64/pkgconfig/libxfce4ui-1.pc
/usr/share/glade3/catalogs/libxfce4ui.xml
/usr/share/glade3/pixmaps/hicolor/16x16/actions/widget-libxfce4ui-xfce-titled-dialog.png
/usr/share/glade3/pixmaps/hicolor/22x22/actions/widget-libxfce4ui-xfce-titled-dialog.png

Changelog

2019-08-12 - Mikhail Efremov <sem@altlinux.org> 4.14.1-alt1
- Updated to 4.14.1.
2019-07-29 - Mikhail Efremov <sem@altlinux.org> 4.13.7-alt1
- Updated to 4.13.7.
2019-07-05 - Mikhail Efremov <sem@altlinux.org> 4.13.6-alt2
- Enable vala support.
- Enable GObject introspection support.
2019-07-01 - Mikhail Efremov <sem@altlinux.org> 4.13.6-alt1
- Updated to 4.13.6.
2019-05-18 - Mikhail Efremov <sem@altlinux.org> 4.13.5-alt1
- Updated to 4.13.5.
2018-08-06 - Mikhail Efremov <sem@altlinux.org> 4.13.4-alt1
- Make devel-doc subpackage noarch.
- Use _unpackaged_files_terminate_build.
- Updated url.
- Enabled debug (minimum level).
- Updated to 4.13.4.
2015-03-16 - Mikhail Efremov <sem@altlinux.org> 4.12.1-alt1
- Updated to 4.12.1.
2015-03-12 - Mikhail Efremov <sem@altlinux.org> 4.12.0-alt2
- Package GTK+3 variant of the libraries.
- Move libgladeui stuff to the libxfce4ui-devel subpackage.
- Move xfce4-about to the separate subpackage.
2015-03-05 - Mikhail Efremov <sem@altlinux.org> 4.12.0-alt1
- Updated to 4.12.0.
2015-02-19 - Mikhail Efremov <sem@altlinux.org> 4.11.2-alt1
- Updated to 4.11.2.

See Also

Package Description
libxfce4ui-gtk3-4.14.1-alt1.x86_64.rpm Various GTK+3 widgets for Xfce
libxfce4ui-gtk3-devel-4.14.1-alt1.x86_64.rpm Development files for libxfce4ui (GTK+3)
libxfce4ui-gtk3-gir-4.14.1-alt1.x86_64.rpm GObject introspection data for libxfce4ui-gtk3
libxfce4util-4.14.0-alt1.x86_64.rpm Utility library for the Xfce desktop environment
libxfce4util-devel-4.14.0-alt1.x86_64.rpm Development files for libxfce4util
libxfce4util-gir-4.14.0-alt1.x86_64.rpm GObject introspection data for libxfce4util
libxfconf-4.14.1-alt1.x86_64.rpm Hierarchical configuration system for Xfce
libxfconf-devel-4.14.1-alt1.x86_64.rpm Development files for libxfconf
libxfconf-gir-4.14.1-alt1.x86_64.rpm GObject introspection data for libxfconf
libxfdashboard-0.7.5-alt1.x86_64.rpm Shared libraries for xfdashboard
libxfdashboard-devel-0.7.5-alt1.x86_64.rpm Devel files for xfdashboard
libxfontcache-devel-1.0.5-alt1_11.x86_64.rpm Development files for libxfontcache
libxfontcache1-1.0.5-alt1_11.x86_64.rpm The Xfontcache Library
libxforms-1.0.93-alt4.x86_64.rpm A GUI toolkit based on Xlib for the X Window System
libxforms-demos-1.0.93-alt4.x86_64.rpm XForms demonstration programs
Advertisement
Advertisement